package com.rehan.yodosdk.AppOpen;

import android.app.Activity;
import android.util.Log;

import androidx.annotation.NonNull;

import com.yodo1.mas.appopenad.Yodo1MasAppOpenAd;
import com.yodo1.mas.appopenad.Yodo1MasAppOpenAdListener;
import com.yodo1.mas.error.Yodo1MasError;
import com.yodo1.mas.interstitial.Yodo1MasInterstitialAd;
import com.yodo1.mas.interstitial.Yodo1MasInterstitialAdListener;

import io.flutter.plugin.common.MethodChannel;

public class YodoAppOpenHelper {

    static MethodChannel methodChannel;

    public static void setMethodChannel(MethodChannel state) {
        methodChannel = state;
    }

    static Yodo1MasAppOpenAdListener yodo1MasAppOpenAdListener = new Yodo1MasAppOpenAdListener() {
        @Override
        public void onAppOpenAdLoaded(Yodo1MasAppOpenAd ad) {
            System.out.println("YodoAndroid::AppOpen::Loaded");
            methodChannel.invokeMethod("loaded_appOpen", "");
        }

        @Override
        public void onAppOpenAdFailedToLoad(Yodo1MasAppOpenAd ad, @NonNull Yodo1MasError error) {
            Log.e("AppOpen::Failed_To_Load",error.getJsonObject().toString());
            System.out.println("YodoAndroid::AppOpen::Failed_To_Load " + error.getJsonObject());
            methodChannel.invokeMethod("failed_load_appOpen", error.getJsonObject().toString());
        }

        @Override
        public void onAppOpenAdOpened(Yodo1MasAppOpenAd ad) {
            System.out.println("YodoAndroid::AppOpen::Open_AppOpen");
            methodChannel.invokeMethod("open_appOpen", "");
        }

        @Override
        public void onAppOpenAdFailedToOpen(Yodo1MasAppOpenAd ad, @NonNull Yodo1MasError error) {
            System.out.println("YodoAndroid::AppOpen::Failed_To_Open");
            Log.e("AppOpen::Failed_To_Open",error.getJsonObject().toString());

            methodChannel.invokeMethod("failed_open_AppOpen", null);
        }

        @Override
        public void onAppOpenAdClosed(Yodo1MasAppOpenAd ad) {
            System.out.println("YodoAndroid::appOpen::Close_Inter");
            methodChannel.invokeMethod("close_inter", null);
        }

    };

    public static void setListener(Yodo1MasAppOpenAdListener state) {
        yodo1MasAppOpenAdListener = state;
    }

    public static void loadAndShowAppOpen(Activity context) {
        Yodo1MasAppOpenAd.getInstance().setAdListener(yodo1MasAppOpenAdListener);
        boolean isLoaded = Yodo1MasAppOpenAd.getInstance().isLoaded();
        if (isLoaded) {
            Log.d("YodoInter","Ad Is Loaded");
            Yodo1MasAppOpenAd.getInstance().showAd(context, "AndroidSdk");
        } else {
            Log.d("YodoInter","Ad Is NotLoaded");
            Yodo1MasAppOpenAd.getInstance().loadAndShowAd(context, "AndroidSdk");
        }
    }

    public static void loadOnly(Activity context) {
        Yodo1MasAppOpenAd.getInstance().setAdListener(yodo1MasAppOpenAdListener);
        Yodo1MasAppOpenAd.getInstance().loadAd(context);
    }
}
