package com.rehan.yodosdk.Inter;

import android.app.Activity;
import android.util.Log;

import androidx.annotation.NonNull;

import com.yodo1.mas.error.Yodo1MasError;
import com.yodo1.mas.interstitial.Yodo1MasInterstitialAd;
import com.yodo1.mas.interstitial.Yodo1MasInterstitialAdListener;

import io.flutter.plugin.common.MethodChannel;

public class YodoInterHelper {

    static MethodChannel methodChannel;

    public static void setMethodChannel(MethodChannel state) {
        methodChannel = state;
    }

    static Yodo1MasInterstitialAdListener yodo1MasInterstitialAdListener = new Yodo1MasInterstitialAdListener() {
        @Override
        public void onInterstitialAdLoaded(Yodo1MasInterstitialAd ad) {
            System.out.println("YodoAndroid::Inter::Loaded");
            methodChannel.invokeMethod("loaded_inter", "");
        }

        @Override
        public void onInterstitialAdFailedToLoad(Yodo1MasInterstitialAd ad, @NonNull Yodo1MasError error) {
            Log.e("Inter::Failed_To_Load",error.getJsonObject().toString());
            System.out.println("YodoAndroid::Inter::Failed_To_Load " + error.getJsonObject());
            methodChannel.invokeMethod("failed_load_inter", "error.getJsonObject()");
        }

        @Override
        public void onInterstitialAdOpened(Yodo1MasInterstitialAd ad) {
            System.out.println("YodoAndroid::Inter::Open_Inter");
            methodChannel.invokeMethod("open_inter", "");
        }

        @Override
        public void onInterstitialAdFailedToOpen(Yodo1MasInterstitialAd ad, @NonNull Yodo1MasError error) {
            System.out.println("YodoAndroid::Inter::Failed_To_Open");
            Log.e("Inter::Failed_To_Open",error.getJsonObject().toString());

            methodChannel.invokeMethod("failed_open_inter", null);
        }

        @Override
        public void onInterstitialAdClosed(Yodo1MasInterstitialAd ad) {
            System.out.println("YodoAndroid::Inter::Close_Inter");
            methodChannel.invokeMethod("close_inter", null);
        }
    };

    public static void setListener(Yodo1MasInterstitialAdListener state) {
        yodo1MasInterstitialAdListener = state;
    }

    public static void loadAndShowInter(Activity context) {
        Yodo1MasInterstitialAd.getInstance().setAdListener(yodo1MasInterstitialAdListener);
        boolean isLoaded = Yodo1MasInterstitialAd.getInstance().isLoaded();
        if (isLoaded) {
            Log.d("YodoInter","Ad Is Loaded");
            Yodo1MasInterstitialAd.getInstance().showAd(context, "AndroidSdk");
        } else {
            Log.d("YodoInter","Ad Is NotLoaded");
            Yodo1MasInterstitialAd.getInstance().loadAndShowAd(context, "AndroidSdk");
        }
    }

    public static void loadOnly(Activity context) {
        Yodo1MasInterstitialAd.getInstance().setAdListener(yodo1MasInterstitialAdListener);
        Yodo1MasInterstitialAd.getInstance().loadAd(context);
    }
}
