import 'package:flutter/services.dart';
import 'package:yodosdk/Inter/FullScreenAdCallbacks.dart';

class AppOpenHelper {
  static final AppOpenHelper _singleton = AppOpenHelper._internal();
  static const methodChannel = MethodChannel("appOpenChannel");

  factory AppOpenHelper() {
    return _singleton;
  }

  static appOpenListener(FullScreenAdCallbacks fullScreenAdCallbacks) {
    methodChannel.setMethodCallHandler(
      (call) {
        return myUtilsHandler(call, fullScreenAdCallbacks);
      },
    );
  }

  static Future<dynamic> myUtilsHandler(
    MethodCall methodCall,
    FullScreenAdCallbacks fullScreenAdCallbacks,
  ) async {
    print(methodCall.method);
    print("AppOPen =========>");

    switch (methodCall.method) {
      case "loaded_appOpen":
        fullScreenAdCallbacks.onLoad(methodCall.arguments);
        break;
      case "failed_load_appOpen":
        fullScreenAdCallbacks.onAdLoadFail(methodCall.arguments);
        break;
      case "open_appOpen":
        fullScreenAdCallbacks.onAdOpen(methodCall.arguments);
        break;
      case "failed_open_AppOpen":
        fullScreenAdCallbacks.onAdOpenFail(methodCall.arguments);
        break;
      case "close_inter":
        fullScreenAdCallbacks.onClose(methodCall.arguments);
        break;
      default:
        print("Default Case ${methodCall.arguments}");
    }
  }

  AppOpenHelper._internal();
}
